Page MenuHomePhabricator

Is MWMessagePack unused and/or worth keeping around?
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

Legoktm created this task.Apr 7 2019, 11:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2019, 11:04 PM

The only use I found via grepping git log was in ProfilerMwprof (rMWc5e6ce0f9e4d: Add ProfilerMwprof), which was removed in rMWefd2fcc575a0: Remove ProfileMwprof.

I think we can follow the deprecation policy here? I can soft deprecate this class for .34

Change 505428 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] MWMessagePack: Deprecate MWMessagePack and remove its test suit

https://gerrit.wikimedia.org/r/505428

D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.
D3r1ck01 moved this task from Doing [WIP] to Under Review on the User-D3r1ck01 board.
Krinkle triaged this task as Medium priority.May 9 2019, 10:31 PM

Change 505428 merged by jenkins-bot:
[mediawiki/core@master] MWMessagePack: Deprecate MWMessagePack class and its method

https://gerrit.wikimedia.org/r/505428

D3r1ck01 lowered the priority of this task from Medium to Low.May 9 2019, 11:04 PM
D3r1ck01 removed a project: Patch-For-Review.

This has been deprecated! @Legoktm, I'm not sure whether to close this, so, I'll leave it for you to decide. Thanks!

D3r1ck01 removed D3r1ck01 as the assignee of this task.May 18 2019, 2:58 PM
D3r1ck01 removed a project: User-D3r1ck01.
TheSandDoctor closed this task as Resolved.Dec 20 2019, 10:04 AM
TheSandDoctor claimed this task.

Created sub task for its removal.

Restricted Application added a project: User-D3r1ck01. · View Herald TranscriptDec 20 2019, 10:05 AM
TheSandDoctor changed the status of subtask T241220: Remove MWMessagePack from Open to Stalled.Dec 21 2019, 4:49 AM
TheSandDoctor changed the status of subtask T241220: Remove MWMessagePack from Stalled to Open.Dec 30 2019, 5:12 AM